# __init__.py
def get_ann():
    code = '''
    # Importing Packages
    import numpy as np
    import pandas as pd 
    import keras
    from keras.models import Sequential
    from keras.layers import Dense,Dropout
    from sklearn.model_selection import train_test_split
    from sklearn.preprocessing import MinMaxScaler
    import keras
    import tensorflow as tf
    import matplotlib.pyplot as plt

    # Importing Data
    df_diabetes = pd.read_csv("../input/diabetes/diabetes.csv")

    # Data Overview
    df_diabetes.head()

    # Dataset Details
    df_diabetes.describe()

    # Dataset Shape
    df_diabetes.shape

    # Independent Dependent Variables Split
    X = df_diabetes.drop("Outcome",axis = 1)
    Y = df_diabetes["Outcome"]

    # Train Test SPlit
    X_train, X_test,y_train,y_test = train_test_split(X,Y,test_size = 0.25,random_state = 27)

    # Scaling
    scaler = MinMaxScaler()
    scaled_train = scaler.fit_transform(X_train)
    scaled_test = scaler.transform(X_test)

    ## NN MODEl
    model = Sequential()
    model.add(Dense(512, activation='relu', input_shape=(X.shape[1],)))
    model.add(Dropout(0.5))
    model.add(Dense(256, activation='relu'))
    model.add(Dropout(0.25))
    model.add(Dense(1, activation='sigmoid'))

    # Compiling the model
    model.compile(optimizer = tf.keras.optimizers.Adam(learning_rate = 0.001),
                loss=keras.losses.BinaryCrossentropy(from_logits=True),
                metrics=["accuracy"])

    # Fitting train,test data in the model
    history = model.fit(X_train,y_train,epochs=100,validation_data=(X_test,y_test),batch_size = 64)

    # Model Structure Overview
    model.summary()

    # Plotting accuracy of train,test
    def plot_metric(history, metric):
        train_metrics = history.history[metric]
        val_metrics = history.history['val_'+metric]
        epochs = range(1, len(train_metrics) + 1)
        plt.plot(epochs, train_metrics)
        plt.plot(epochs, val_metrics)
        plt.title('Training and validation '+ metric)
        plt.xlabel("Epochs")
        plt.ylabel(metric)
        plt.legend(["train_"+metric, 'val_'+metric])
        plt.show()

    # Checking acccuracy graph
    plot_metric(history,"accuracy")'''
    print(code)